Subject: Re: [PATCH] IPv6: Implement RFC 4429 Optimistic Duplicate Address Detection

From: Vlad Yasevich <[email-masked]>
Date: Thu, 25 Jan 2007 17:34:10 -0500

Hi Neil

I went through the RFC again it seems like the following is missing:

Section 3.3:

> * (modifies section 5.4.2) The host MUST join the all-nodes multicast
>    address and the solicited-node multicast address of the
>    Tentative address.  The host SHOULD NOT delay before sending
>    Neighbor Solicitation messages.

For this, addrconf_dad_kick() should pass 0 to addrconf_mod_timer
when the address is optimistic.  Otherwise, we'll delay DAD some of
the purpose of optimistic addresses is lost.

-vlad